Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$map=new Tonyu.classes.kernel.Map({chipWidth: 32,chipHeight: 32});
        Tonyu.globals.$map.load("map.json");
        new Tonyu.classes.user.Neko({x: 200,y: 200});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$map=new Tonyu.classes.kernel.Map({chipWidth: 32,chipHeight: 32});
        Tonyu.globals.$map.load("map.json");
        new Tonyu.classes.user.Neko({x: 200,y: 200});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Neko',
  shortName: 'Neko',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Neko_main() {
        "use strict";
        var _this=this;
        
        _this.pListDown=[0,1,0,2];
        _this.pListUp=[5,6,5,7];
        _this.pListLR=[3,4];
        _this.dir="stop";
        _this.p=Tonyu.globals.$pat_neko+0;
        _this.parallel("animate");
        Tonyu.globals.$Screen.setPivot(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2);
        _this.sc=1;
        while (true) {
          Tonyu.checkLoop();
          _this.dir="stop";
          _this.sx=_this.x;
          _this.sy=_this.y;
          if (_this.getkey("down")) {
            _this.y+=2;
            _this.dir="down";
            
          }
          if (_this.getkey("up")) {
            _this.y-=2;
            _this.dir="up";
            
          }
          if (_this.getkey("left")) {
            _this.x-=2;
            _this.scaleX=- 1;
            _this.scaleY=1;
            _this.dir="lr";
            
          }
          if (_this.getkey("right")) {
            _this.scaleX=1;
            _this.x+=2;
            _this.dir="lr";
            
          }
          if (Tonyu.globals.$map.getOnAt(_this.x,_this.y)>- 1) {
            _this.x=_this.sx;
            _this.y=_this.sy;
            _this.dir="stop";
            
          }
          if (_this.getkey("z")==1) {
            _this.sc=1.5-_this.sc;
          }
          Tonyu.globals.$Screen.scrollTo(_this.x,_this.y,_this.sc);
          _this.update();
          
        }
      },
      fiber$main :function _trc_Neko_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.pListDown=[0,1,0,2];
        _this.pListUp=[5,6,5,7];
        _this.pListLR=[3,4];
        _this.dir="stop";
        _this.p=Tonyu.globals.$pat_neko+0;
        _this.parallel("animate");
        Tonyu.globals.$Screen.setPivot(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2);
        _this.sc=1;
        
        _thread.enter(function _trc_Neko_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.dir="stop";
              _this.sx=_this.x;
              _this.sy=_this.y;
              if (_this.getkey("down")) {
                _this.y+=2;
                _this.dir="down";
                
              }
              if (_this.getkey("up")) {
                _this.y-=2;
                _this.dir="up";
                
              }
              if (_this.getkey("left")) {
                _this.x-=2;
                _this.scaleX=- 1;
                _this.scaleY=1;
                _this.dir="lr";
                
              }
              if (_this.getkey("right")) {
                _this.scaleX=1;
                _this.x+=2;
                _this.dir="lr";
                
              }
              if (Tonyu.globals.$map.getOnAt(_this.x,_this.y)>- 1) {
                _this.x=_this.sx;
                _this.y=_this.sy;
                _this.dir="stop";
                
              }
              if (_this.getkey("z")==1) {
                _this.sc=1.5-_this.sc;
              }
              Tonyu.globals.$Screen.scrollTo(_this.x,_this.y,_this.sc);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      animate :function _trc_Neko_animate() {
        "use strict";
        var _this=this;
        
        _this.counter=0;
        while (true) {
          Tonyu.checkLoop();
          if (_this.dir=="down") {
            _this.p=Tonyu.globals.$pat_neko+_this.pListDown[_this.counter%4];
            
          } else {
            if (_this.dir=="up") {
              _this.p=Tonyu.globals.$pat_neko+_this.pListUp[_this.counter%4];
              
            } else {
              if (_this.dir=="lr") {
                _this.p=Tonyu.globals.$pat_neko+_this.pListLR[_this.counter%2];
                
              } else {
                
                
              }
            }
          }
          _this.counter++;
          _this.updateEx(8);
          
        }
      },
      fiber$animate :function _trc_Neko_f_animate(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.counter=0;
        
        _thread.enter(function _trc_Neko_ent_animate(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.dir=="down") {
                _this.p=Tonyu.globals.$pat_neko+_this.pListDown[_this.counter%4];
                
              } else {
                if (_this.dir=="up") {
                  _this.p=Tonyu.globals.$pat_neko+_this.pListUp[_this.counter%4];
                  
                } else {
                  if (_this.dir=="lr") {
                    _this.p=Tonyu.globals.$pat_neko+_this.pListLR[_this.counter%2];
                    
                  } else {
                    
                    
                  }
                }
              }
              _this.counter++;
              _this.fiber$updateEx(_thread, 8);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"animate":{"nowait":false}},"fields":{"pListDown":{},"pListUp":{},"pListLR":{},"dir":{},"sc":{},"sx":{},"sy":{},"counter":{}}}
});

//# sourceMappingURL=concat.js.map